import { BlockNumber } from "../../types/interfaces";
import { Observable } from 'rxjs';
import { ApiInterfaceRx } from "../../api/types";
/**
 * @name bestNumberFinalized
 * @returns A BlockNumber
 * @description Get the latest finalized block number.
 * @example
 * <BR>
 *
 * ```javascript
 * api.derive.chain.bestNumberFinalized((blockNumber) => {
 *   console.log(`the current finalized block is #${blockNumber}`);
 * });
 * ```
 */
export declare function bestNumberFinalized(api: ApiInterfaceRx): () => Observable<BlockNumber>;
