import { AccountId, Header } from "../../types/interfaces";
import { AnyJsonObject, Constructor, Registry } from "../../types/types";
declare const _Header: Constructor<Header>;
/**
 * @name HeaderExtended
 * @description
 * A [[Block]] header with an additional `author` field that indicates the block author
 */
export default class HeaderExtended extends _Header {
    private _author?;
    constructor(registry: Registry, header?: Header, sessionValidators?: AccountId[]);
    private extractAuthor;
    /**
     * @description Convenience method, returns the author for the block
     */
    get author(): AccountId | undefined;
    /**
     * @description Creates the JSON representation
     */
    toJSON(): AnyJsonObject;
}
export {};
