import { ExtrinsicStatus, EventRecord } from "../../types/interfaces";
import { SubmittableResultImpl, SubmittableResultValue } from './types';
export default class SubmittableResult implements SubmittableResultImpl {
    readonly events: EventRecord[];
    readonly status: ExtrinsicStatus;
    constructor({ events, status }: SubmittableResultValue);
    get isCompleted(): boolean;
    get isError(): boolean;
    get isFinalized(): boolean;
    /**
     * @description Filters EventRecords for the specified method & section (there could be multiple)
     */
    filterRecords(section: string, method: string): EventRecord[];
    /**
     * @description Finds an EventRecord for the specified method & section
     */
    findRecord(section: string, method: string): EventRecord | undefined;
}
