export declare enum SystemTx {
    FillBlock = "FillBlock",
    Remark = "Remark",
    SetHeapPages = "SetHeapPages",
    SetCode = "SetCode",
    SetStorage = "SetStorage",
    KillStorage = "KillStorage",
    KillPrefix = "KillPrefix"
}
export declare enum TimestampTx {
    Set = "Set"
}
export declare enum BalancesTx {
    Transfer = "Transfer",
    TopUpIdentityBalance = "TopUpIdentityBalance",
    ReclaimIdentityBalance = "ReclaimIdentityBalance",
    ChangeChargeDidFlag = "ChangeChargeDidFlag",
    SetBalance = "SetBalance",
    ForceTransfer = "ForceTransfer"
}
export declare enum AuthorshipTx {
    SetUncles = "SetUncles"
}
export declare enum StakingTx {
    Bond = "Bond",
    BondExtra = "BondExtra",
    Unbond = "Unbond",
    WithdrawUnbonded = "WithdrawUnbonded",
    Validate = "Validate",
    Nominate = "Nominate",
    Chill = "Chill",
    SetPayee = "SetPayee",
    SetController = "SetController",
    SetValidatorCount = "SetValidatorCount",
    AddPotentialValidator = "AddPotentialValidator",
    RemoveValidator = "RemoveValidator",
    ComplianceFailed = "ComplianceFailed",
    CompliancePassed = "CompliancePassed",
    ValidateKycExpiryNominators = "ValidateKycExpiryNominators",
    ForceNoEras = "ForceNoEras",
    ForceNewEra = "ForceNewEra",
    SetInvulnerables = "SetInvulnerables",
    ForceUnstake = "ForceUnstake",
    ForceNewEraAlways = "ForceNewEraAlways",
    CancelDeferredSlash = "CancelDeferredSlash"
}
export declare enum SessionTx {
    SetKeys = "SetKeys"
}
export declare enum FinalityTrackerTx {
    FinalHint = "FinalHint"
}
export declare enum GrandpaTx {
    ReportMisbehavior = "ReportMisbehavior"
}
export declare enum ImOnlineTx {
    Heartbeat = "Heartbeat"
}
export declare enum SudoTx {
    Sudo = "Sudo",
    SetKey = "SetKey",
    SudoAs = "SudoAs"
}
export declare enum MultiSigTx {
    CreateMultisig = "CreateMultisig",
    CreateProposalAsIdentity = "CreateProposalAsIdentity",
    CreateProposalAsKey = "CreateProposalAsKey",
    ApproveAsIdentity = "ApproveAsIdentity",
    ApproveAsKey = "ApproveAsKey",
    AcceptMultisigSignerAsIdentity = "AcceptMultisigSignerAsIdentity",
    AcceptMultisigSignerAsKey = "AcceptMultisigSignerAsKey",
    AddMultisigSigner = "AddMultisigSigner",
    RemoveMultisigSigner = "RemoveMultisigSigner",
    ChangeSigsRequired = "ChangeSigsRequired"
}
export declare enum ContractsTx {
    UpdateSchedule = "UpdateSchedule",
    PutCode = "PutCode",
    Call = "Call",
    Instantiate = "Instantiate",
    ClaimSurcharge = "ClaimSurcharge"
}
export declare enum TreasuryTx {
    ProposeSpend = "ProposeSpend",
    RejectProposal = "RejectProposal",
    ApproveProposal = "ApproveProposal"
}
export declare enum PolymeshCommitteeTx {
    SetVoteThreshold = "SetVoteThreshold",
    SetMembers = "SetMembers",
    Propose = "Propose",
    Vote = "Vote"
}
export declare enum CommitteeMembershipTx {
    AddMember = "AddMember",
    RemoveMember = "RemoveMember",
    SwapMember = "SwapMember",
    ResetMembers = "ResetMembers"
}
export declare enum MipsTx {
    SetMinProposalDeposit = "SetMinProposalDeposit",
    SetQuorumThreshold = "SetQuorumThreshold",
    SetProposalDuration = "SetProposalDuration",
    Propose = "Propose",
    Vote = "Vote",
    KillProposal = "KillProposal",
    FastTrackProposal = "FastTrackProposal",
    EmergencyReferendum = "EmergencyReferendum",
    EnactReferendum = "EnactReferendum"
}
export declare enum AssetTx {
    RegisterTicker = "RegisterTicker",
    AcceptTickerTransfer = "AcceptTickerTransfer",
    AcceptTokenOwnershipTransfer = "AcceptTokenOwnershipTransfer",
    CreateToken = "CreateToken",
    Freeze = "Freeze",
    Unfreeze = "Unfreeze",
    RenameToken = "RenameToken",
    Transfer = "Transfer",
    ControllerTransfer = "ControllerTransfer",
    Approve = "Approve",
    TransferFrom = "TransferFrom",
    CreateCheckpoint = "CreateCheckpoint",
    Issue = "Issue",
    BatchIssue = "BatchIssue",
    Redeem = "Redeem",
    RedeemFrom = "RedeemFrom",
    ControllerRedeem = "ControllerRedeem",
    MakeDivisible = "MakeDivisible",
    CanTransfer = "CanTransfer",
    TransferWithData = "TransferWithData",
    TransferFromWithData = "TransferFromWithData",
    IsIssuable = "IsIssuable",
    AddDocuments = "AddDocuments",
    RemoveDocuments = "RemoveDocuments",
    UpdateDocuments = "UpdateDocuments",
    IncreaseCustodyAllowance = "IncreaseCustodyAllowance",
    IncreaseCustodyAllowanceOf = "IncreaseCustodyAllowanceOf",
    TransferByCustodian = "TransferByCustodian",
    SetFundingRound = "SetFundingRound",
    UpdateIdentifiers = "UpdateIdentifiers",
    AddExtension = "AddExtension",
    ArchiveExtension = "ArchiveExtension",
    UnarchiveExtension = "UnarchiveExtension"
}
export declare enum DividendTx {
    New = "New",
    Cancel = "Cancel",
    Claim = "Claim",
    ClaimUnclaimed = "ClaimUnclaimed"
}
export declare enum IdentityTx {
    RegisterDid = "RegisterDid",
    AddSigningItems = "AddSigningItems",
    RemoveSigningItems = "RemoveSigningItems",
    SetMasterKey = "SetMasterKey",
    AcceptMasterKey = "AcceptMasterKey",
    AddClaim = "AddClaim",
    AddClaimsBatch = "AddClaimsBatch",
    ForwardedCall = "ForwardedCall",
    RevokeClaim = "RevokeClaim",
    SetPermissionToSigner = "SetPermissionToSigner",
    FreezeSigningKeys = "FreezeSigningKeys",
    UnfreezeSigningKeys = "UnfreezeSigningKeys",
    GetMyDid = "GetMyDid",
    AddAuthorization = "AddAuthorization",
    AddAuthorizationAsKey = "AddAuthorizationAsKey",
    BatchAddAuthorization = "BatchAddAuthorization",
    RemoveAuthorization = "RemoveAuthorization",
    BatchRemoveAuthorization = "BatchRemoveAuthorization",
    AcceptAuthorization = "AcceptAuthorization",
    BatchAcceptAuthorization = "BatchAcceptAuthorization",
    AuthorizeJoinToIdentity = "AuthorizeJoinToIdentity",
    UnauthorizedJoinToIdentity = "UnauthorizedJoinToIdentity",
    AddSigningItemsWithAuthorization = "AddSigningItemsWithAuthorization",
    RevokeOffchainAuthorization = "RevokeOffchainAuthorization",
    IsMyIdentityHasValidKyc = "IsMyIdentityHasValidKyc"
}
export declare enum GeneralTmTx {
    AddActiveRule = "AddActiveRule",
    RemoveActiveRule = "RemoveActiveRule",
    ResetActiveRules = "ResetActiveRules"
}
export declare enum VotingTx {
    AddBallot = "AddBallot",
    Vote = "Vote",
    CancelBallot = "CancelBallot"
}
export declare enum StoCappedTx {
    LaunchSto = "LaunchSto",
    BuyTokens = "BuyTokens",
    ModifyAllowedTokens = "ModifyAllowedTokens",
    BuyTokensBySimpleToken = "BuyTokensBySimpleToken",
    PauseSto = "PauseSto",
    UnpauseSto = "UnpauseSto"
}
export declare enum PercentageTmTx {
    ToggleMaximumPercentageRestriction = "ToggleMaximumPercentageRestriction"
}
export declare enum ExemptionTx {
    ModifyExemptionList = "ModifyExemptionList"
}
export declare enum SimpleTokenTx {
    CreateToken = "CreateToken",
    Approve = "Approve",
    Transfer = "Transfer",
    TransferFrom = "TransferFrom"
}
export declare enum KycServiceProvidersTx {
    AddMember = "AddMember",
    RemoveMember = "RemoveMember",
    SwapMember = "SwapMember",
    ResetMembers = "ResetMembers"
}
