"use strict";
// Copyright 2017-2020 @polkadot/metadata authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../../types");
/** @internal */
function toV11(registry, { modules }) {
    return types_1.createType(registry, 'MetadataV11', {
        modules,
        // This is new in V11, pass V0 here - something non-existing, telling the API to use
        // the fallback for this information (on-chain detection)
        extrinsic: {
            version: 0,
            signedExtensions: []
        }
    });
}
exports.default = toV11;
