"use strict";
// Copyright 2017-2020 @polkadot/metadata authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../../types");
/** @internal */
function toV7(registry, { modules }) {
    return types_1.createType(registry, 'MetadataV7', {
        modules: modules.map(({ calls, constants, events, name, prefix, storage }) => types_1.createType(registry, 'ModuleMetadataV7', {
            calls,
            constants,
            events,
            name,
            storage: storage.isSome
                ? types_1.createType(registry, 'StorageMetadataV7', { prefix, items: storage.unwrap() })
                : null
        }))
    });
}
exports.default = toV7;
