"use strict";
// Copyright 2017-2020 @polkadot/jsonrpc authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const method_1 = __importDefault(require("./create/method"));
const param_1 = __importDefault(require("./create/param"));
// NOTE order here is the same as in Rust, alphabetical below
const nextIndex = {
    description: 'Retrieves the next accountIndex as available on the node',
    isOptional: true,
    params: [
        param_1.default('accountId', 'AccountId')
    ],
    type: 'Index'
};
const section = 'account';
/**
 * @summary Calls to account-specific information.
 */
exports.default = {
    isDeprecated: false,
    isHidden: false,
    description: '(Optional) Methods that retrieves account-specific information',
    section,
    methods: {
        nextIndex: method_1.default(section, 'nextIndex', nextIndex)
    }
};
