"use strict";
// Copyright 2017-2020 @polkadot/types authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractArray_1 = __importDefault(require("./AbstractArray"));
/**
 * @name VecAny
 * @description
 * This manages codec arrays, assuming that the inputs are already of type Codec. Unlike
 * a vector, this can be used to manage array-like structures with variable arguments of
 * any types
 */
class VecAny extends AbstractArray_1.default {
    /**
     * @description Returns the base runtime type name for this instance
     */
    toRawType() {
        // FIXME This is basically an any type, cannot instantiate via createType
        return 'Vec<Codec>';
    }
}
exports.default = VecAny;
