import { Struct, Vec } from "../../codec";
import { H256 } from "../../primitive";
import { AccountId, BlockNumber, Hash } from "../runtime";
import { SessionIndex } from "../session";
import { CandidateReceipt, ParaId } from "../parachains";
/** @name BlockAttestations */
export interface BlockAttestations extends Struct {
    readonly receipt: CandidateReceipt;
    readonly valid: Vec<AccountId>;
    readonly invalid: Vec<AccountId>;
}
/** @name IncludedBlocks */
export interface IncludedBlocks extends Struct {
    readonly actualNumber: BlockNumber;
    readonly session: SessionIndex;
    readonly randomSeed: H256;
    readonly activeParachains: Vec<ParaId>;
    readonly paraBlocks: Vec<Hash>;
}
/** @name MoreAttestations */
export interface MoreAttestations extends Struct {
}
