import { ITuple } from "../../types";
import { Enum, Option } from "../../codec";
import { AccountId, BlockNumber, Hash } from "../runtime";
/** @name InclusionHeight */
export interface InclusionHeight extends BlockNumber {
}
/** @name Uncle */
export interface Uncle extends ITuple<[Hash, Option<AccountId>]> {
}
/** @name UncleEntryItem */
export interface UncleEntryItem extends Enum {
    readonly isInclusionHeight: boolean;
    readonly asInclusionHeight: InclusionHeight;
    readonly isUncle: boolean;
    readonly asUncle: Uncle;
}
