import { Enum, Struct } from "../../codec";
import { u32 } from "../../primitive";
import { BlockNumber, Call, Hash } from "../runtime";
import { VoteThreshold } from "../elections";
/** @name Conviction */
export interface Conviction extends Enum {
    readonly isNone: boolean;
    readonly isLocked1X: boolean;
    readonly isLocked2X: boolean;
    readonly isLocked3X: boolean;
    readonly isLocked4X: boolean;
    readonly isLocked5X: boolean;
    readonly isLocked6X: boolean;
}
/** @name PropIndex */
export interface PropIndex extends u32 {
}
/** @name Proposal */
export interface Proposal extends Call {
}
/** @name ReferendumIndex */
export interface ReferendumIndex extends u32 {
}
/** @name ReferendumInfo */
export interface ReferendumInfo extends Struct {
    readonly end: BlockNumber;
    readonly proposalHash: Hash;
    readonly threshold: VoteThreshold;
    readonly delay: BlockNumber;
}
