import { Enum, Struct } from "../../codec";
import { GenericVote, u32 } from "../../primitive";
import { Balance } from "../runtime";
/** @name ApprovalFlag */
export interface ApprovalFlag extends u32 {
}
/** @name SetIndex */
export interface SetIndex extends u32 {
}
/** @name Vote */
export interface Vote extends GenericVote {
}
/** @name VoteIndex */
export interface VoteIndex extends u32 {
}
/** @name VoterInfo */
export interface VoterInfo extends Struct {
    readonly lastActive: VoteIndex;
    readonly lastWin: VoteIndex;
    readonly pot: Balance;
    readonly stake: Balance;
}
/** @name VoteThreshold */
export interface VoteThreshold extends Enum {
    readonly isSupermajorityapproval: boolean;
    readonly isSupermajorityrejection: boolean;
    readonly isSimplemajority: boolean;
}
