import { Codec } from "../../types";
import { Struct, Vec } from "../../codec";
import { Bytes } from "../../primitive";
import { AccountId, Hash } from "../runtime";
import { IdentificationTuple } from "../session";
/** @name Kind */
export interface Kind extends Uint8Array, Codec {
}
/** @name OffenceDetails */
export interface OffenceDetails extends Struct {
    readonly offender: Offender;
    readonly reporters: Vec<Reporter>;
}
/** @name Offender */
export interface Offender extends IdentificationTuple {
}
/** @name OpaqueTimeSlot */
export interface OpaqueTimeSlot extends Bytes {
}
/** @name Reporter */
export interface Reporter extends AccountId {
}
/** @name ReportIdOf */
export interface ReportIdOf extends Hash {
}
