declare const _default: {
    types: {
        "IdentityId": string;
        "Ticker": string;
        "Document": {
            "name": string;
            "uri": string;
            "hash": string;
        };
        "AssetType": {
            "_enum": {
                "Equity": string;
                "Debt": string;
                "Commodity": string;
                "StructuredProduct": string;
                "Custom": string;
            };
        };
        "IdentifierType": {
            "_enum": {
                "Isin": string;
                "Cusip": string;
                "Custom": string;
            };
        };
        "SecurityToken": {
            "name": string;
            "total_supply": string;
            "owner_did": string;
            "divisible": string;
            "asset_type": string;
        };
        "LinkedKeyInfo": {
            "_enum": {
                "Unique": string;
                "Group": string;
            };
        };
        "AccountKey": string;
        "Permission": {
            "_enum": string[];
        };
        "Link": {
            "link_data": string;
            "expiry": string;
            "next_link": string;
            "previous_link": string;
        };
        "LinkData": {
            "_enum": {
                "DocumentOwned": string;
                "TickerOwned": string;
                "TokenOwned": string;
            };
        };
        "SignatoryType": {
            "_enum": string[];
        };
        "Signatory": {
            "_enum": {
                "Identity": string;
                "AccountKey": string;
            };
        };
        "SigningItem": {
            "signer": string;
            "signer_type": string;
            "permissions": string;
        };
        "SigningItemWithAuth": {
            "signing_item": string;
            "auth_signature": string;
        };
        "IdentityRole": {
            "_enum": string[];
        };
        "PreAuthorizedKeyInfo": {
            "target_id": string;
            "signing_item": string;
        };
        "DidRecord": {
            "roles": string;
            "master_key": string;
            "signing_items": string;
        };
        "Claim": {
            "issuance_date": string;
            "expiry": string;
            "claim_value": string;
        };
        "ClaimMetaData": {
            "claim_key": string;
            "claim_issuer": string;
        };
        "ClaimValue": {
            "data_type": string;
            "value": string;
        };
        "ClaimRecord": {
            "did": string;
            "claim_key": string;
            "expiry": string;
            "claim_value": string;
        };
        "DataTypes": {
            "_enum": string[];
        };
        "AssetRule": {
            "sender_rules": string;
            "receiver_rules": string;
        };
        "Operators": {
            "_enum": string[];
        };
        "RuleData": {
            "key": string;
            "value": string;
            "trusted_issuers": string;
            "operator": string;
        };
        "STO": {
            "beneficiary_did": string;
            "cap": string;
            "sold": string;
            "rate": string;
            "start_date": string;
            "end_date": string;
            "active": string;
        };
        "Investment": {
            "investor_did": string;
            "amount_paid": string;
            "tokens_purchased": string;
            "last_purchase_date": string;
        };
        "SimpleTokenRecord": {
            "ticker": string;
            "total_supply": string;
            "owner_did": string;
        };
        "FeeOf": string;
        "Dividend": {
            "amount": string;
            "active": string;
            "maturates_at": string;
            "expires_at": string;
            "payout_currency": string;
            "checkpoint_id": string;
        };
        "TargetIdAuthorization": {
            "target_id": string;
            "nonce": string;
            "expires_at": string;
        };
        "TickerRegistration": {
            "owner": string;
            "expiry": string;
        };
        "TickerRegistrationConfig": {
            "max_ticker_length": string;
            "registration_length": string;
        };
        "SignData": {
            "custodian_did": string;
            "holder_did": string;
            "ticker": string;
            "value": string;
            "nonce": string;
        };
        "Motion": {
            "title": string;
            "info_link": string;
            "choices": string;
        };
        "Ballot": {
            "checkpoint_id": string;
            "voting_start": string;
            "voting_end": string;
            "motions": string;
        };
        "MipsMetadata": {
            "index": string;
            "end": string;
            "proposal_hash": string;
        };
        "PolymeshVotes": {
            "index": string;
            "ayes": string;
            "nays": string;
        };
        "MipsIndex": string;
        "MipsPriority": {
            "_enum": string[];
        };
        "MIP": {
            "index": string;
            "proposal": string;
        };
        "PolymeshReferendumInfo": {
            "index": string;
            "priority": string;
            "proposal_hash": string;
        };
        "TickerTransferApproval": {
            "authorized_by": string;
            "next_ticker": string;
            "previous_ticker": string;
        };
        "OffChainSignature": string;
        "PermissionedValidator": {
            "compliance": string;
        };
        "Authorization": {
            "authorization_data": string;
            "authorized_by": string;
            "expiry": string;
            "next_authorization": string;
            "previous_authorization": string;
        };
        "AuthorizationData": {
            "_enum": {
                "AttestMasterKeyRotation": string;
                "RotateMasterKey": string;
                "TransferTicker": string;
                "AddMultiSigSigner": string;
                "TransferTokenOwnership": string;
                "Custom": string;
                "NoData": string;
            };
        };
        "Compliance": {
            "_enum": string[];
        };
        "SmartExtensionType": {
            "_enum": {
                "TransferManager": string;
                "Offerings": string;
                "Custom": string;
            };
        };
        "SmartExtension": {
            "extension_type": string;
            "extension_name": string;
            "extension_id": string;
            "is_archive": string;
        };
        "ProportionMatch": {
            "_enum": string[];
        };
        "AuthorizationNonce": string;
        "Counter": string;
        "Commission": {
            "_enum": {
                "Individual": string;
                "Global": string;
            };
        };
    };
};
export default _default;
