import { Struct, Vec } from "../../codec";
import { u16 } from "../../primitive";
import { AccountId, Balance, BlockNumber } from "../runtime";
/** @name ActiveRecovery */
export interface ActiveRecovery extends Struct {
    readonly created: BlockNumber;
    readonly deposit: Balance;
    readonly friends: Vec<AccountId>;
}
/** @name RecoveryConfig */
export interface RecoveryConfig extends Struct {
    readonly delayPeriod: BlockNumber;
    readonly deposit: Balance;
    readonly friends: Vec<AccountId>;
    readonly threshold: u16;
}
