declare const _default: {
    types: {
        AccountId: string;
        AccountIdOf: string;
        AccountIndex: string;
        Address: string;
        AssetId: string;
        Balance: string;
        BalanceOf: string;
        Block: string;
        BlockNumber: string;
        Call: string;
        ChangesTrieConfiguration: {
            digestInterval: string;
            digestLevels: string;
        };
        ConsensusEngineId: string;
        Digest: string;
        DigestItem: string;
        DispatchClass: {
            _enum: string[];
        };
        DispatchInfo: {
            weight: string;
            class: string;
            paysFee: string;
        };
        DispatchInfoTo190: {
            weight: string;
            class: string;
        };
        Hash: string;
        Header: {
            parentHash: string;
            number: string;
            stateRoot: string;
            extrinsicsRoot: string;
            digest: string;
        };
        Index: string;
        Justification: string;
        KeyValue: string;
        KeyTypeId: string;
        LockIdentifier: string;
        Moment: string;
        Origin: string;
        Perbill: string;
        Percent: string;
        Permill: string;
        Perquintill: string;
        Phantom: string;
        PhantomData: string;
        Signature: string;
        SignedBlock: {
            block: string;
            justification: string;
        };
        SignerPayload: string;
        ValidatorId: string;
        Weight: string;
        WeightMultiplier: string;
        Ed25519Signature: string;
        Sr25519Signature: string;
        EcdsaSignature: string;
        MultiSignature: {
            _enum: {
                Ed25519: string;
                Sr25519: string;
                Ecdsa: string;
            };
        };
        ImmortalEra: string;
        MortalEra: string;
        PreRuntime: string;
        SealV0: string;
        Seal: string;
        Consensus: string;
        Extrinsic: string;
        ExtrinsicEra: string;
        ExtrinsicPayload: string;
        ExtrinsicV1: string;
        ExtrinsicPayloadV1: string;
        ExtrinsicSignatureV1: string;
        ExtrinsicV2: string;
        ExtrinsicPayloadV2: string;
        ExtrinsicSignatureV2: string;
        ExtrinsicV3: string;
        ExtrinsicPayloadV3: string;
        ExtrinsicSignatureV3: string;
        ExtrinsicV4: string;
        ExtrinsicPayloadV4: string;
        ExtrinsicSignatureV4: string;
        ExtrinsicUnknown: string;
        ExtrinsicPayloadUnknown: string;
    };
};
export default _default;
