import { ITuple } from "../../types";
import { Enum, Struct } from "../../codec";
import { u32 } from "../../primitive";
import { AccountId, Balance } from "../runtime";
/** @name Bid */
export interface Bid extends Struct {
    readonly who: AccountId;
    readonly kind: BidKind;
    readonly value: Balance;
}
/** @name BidKind */
export interface BidKind extends Enum {
    readonly isDeposit: boolean;
    readonly asDeposit: Balance;
    readonly isVouch: boolean;
    readonly asVouch: BidKindVouch;
}
/** @name BidKindVouch */
export interface BidKindVouch extends ITuple<[AccountId, Balance]> {
}
/** @name SocietyJudgement */
export interface SocietyJudgement extends Enum {
    readonly isRebid: boolean;
    readonly isReject: boolean;
    readonly isApprove: boolean;
}
/** @name SocietyVote */
export interface SocietyVote extends Enum {
    readonly isSkeptic: boolean;
    readonly isReject: boolean;
    readonly isApprove: boolean;
}
/** @name StrikeCount */
export interface StrikeCount extends u32 {
}
/** @name VouchingStatus */
export interface VouchingStatus extends Enum {
    readonly isVouching: boolean;
    readonly isBanned: boolean;
}
