import { ITuple } from "../../types";
import { Option, Struct, Vec } from "../../codec";
import { AccountId, Balance, BlockNumber, Hash } from "../runtime";
/** @name OpenTip */
export interface OpenTip extends Struct {
    readonly reason: Hash;
    readonly who: AccountId;
    readonly finder: Option<OpenTipFinder>;
    readonly closes: Option<BlockNumber>;
    readonly tips: Vec<OpenTipTip>;
}
/** @name OpenTipFinder */
export interface OpenTipFinder extends ITuple<[AccountId, Balance]> {
}
/** @name OpenTipTip */
export interface OpenTipTip extends ITuple<[AccountId, Balance]> {
}
/** @name TreasuryProposal */
export interface TreasuryProposal extends Struct {
    readonly proposer: AccountId;
    readonly value: Balance;
    readonly beneficiary: AccountId;
    readonly bond: Balance;
}
