import { Struct, Vec } from "../../codec";
import { u32 } from "../../primitive";
import { AccountId, Balance, BlockNumber } from "../runtime";
/** @name Multisig */
export interface Multisig extends Struct {
    readonly when: Timepoint;
    readonly deposit: Balance;
    readonly depositor: AccountId;
    readonly approvals: Vec<AccountId>;
}
/** @name Timepoint */
export interface Timepoint extends Struct {
    readonly height: BlockNumber;
    readonly index: u32;
}
