"use strict";
// Copyright 2017-2020 @polkadot/types authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const U8aFixed_1 = __importDefault(require("../codec/U8aFixed"));
/**
 * @name H512
 * @description
 * Hash containing 512 bits (64 bytes), typically used for signatures
 */
class H512 extends U8aFixed_1.default {
    constructor(registry, value) {
        super(registry, value, 512);
    }
    /**
     * @description Returns the base runtime type name for this instance
     */
    toRawType() {
        return 'H512';
    }
}
exports.default = H512;
